### Function

# GioUnix DesktopAppInfo get_boolean

since: 2.36

#### Declaration

    gboolean
    g_desktop_app_info_get_boolean (
      GDesktopAppInfo* info,
      const char* key
    )

#### Description

Looks up a boolean value in the keyfile backing `info`.

The `key` is looked up in the “Desktop Entry” group.

Available since: 2.36

#### Parameters

`info`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo`.

  The data is owned by the caller of the function.

`key`

  Type: `const char*`

  The key to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

The boolean value, or `FALSE` if the key is not found.